package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.TbMember;

/**
 * 套餐Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ITbMemberService 
{
    /**
     * 查询套餐
     * 
     * @param memId 套餐主键
     * @return 套餐
     */
    public TbMember selectTbMemberByMemId(Long memId);

    /**
     * 查询套餐列表
     * 
     * @param tbMember 套餐
     * @return 套餐集合
     */
    public List<TbMember> selectTbMemberList(TbMember tbMember);

    /**
     * 新增套餐
     * 
     * @param tbMember 套餐
     * @return 结果
     */
    public int insertTbMember(TbMember tbMember);

    /**
     * 修改套餐
     * 
     * @param tbMember 套餐
     * @return 结果
     */
    public int updateTbMember(TbMember tbMember);

    /**
     * 批量删除套餐
     * 
     * @param memIds 需要删除的套餐主键集合
     * @return 结果
     */
    public int deleteTbMemberByMemIds(String memIds);

    /**
     * 删除套餐信息
     * 
     * @param memId 套餐主键
     * @return 结果
     */
    public int deleteTbMemberByMemId(Long memId);
}
